## org.apache.solr.client.solrj.impl
Class LBHttpSolrServer.ServerWrapper

    java.lang.Object
      org.apache.solr.client.solrj.impl.LBHttpSolrServer.ServerWrapper

Enclosing class:
  LBHttpSolrServer

    protected static class LBHttpSolrServer.ServerWrapper

extends Object

Constructor Summary
`LBHttpSolrServer.ServerWrapper(HttpSolrServer solrServer)`

Method Summary
`boolean` `equals(Object obj)`
`String` `getKey()`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LBHttpSolrServer.ServerWrapper

    public LBHttpSolrServer.ServerWrapper(HttpSolrServer solrServer)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getKey

    public String getKey()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.